/// <reference types="node" />
import { WebSocket } from 'ws';
import { Logger } from '../../types/index.js';
import type { HMR_Data } from '@lwc/lwc-dev-server-types';
export type Module = any;
export declare class Connection {
    protocol: string;
    host: string;
    port: number;
    logger: Logger;
    httpsConfig?: Partial<{
        cert: string;
        key: string;
        pfx: Buffer;
        passphrase: string;
    }> | undefined;
    socket: WebSocket | undefined;
    constructor(protocol: string, host: string, port: number, logger: Logger, httpsConfig?: Partial<{
        cert: string;
        key: string;
        pfx: Buffer;
        passphrase: string;
    }> | undefined);
    sendModule(modulePath: string, src: string): void;
    initializeConnection(initCallback: () => void, messageCallback: (data: HMR_Data) => void): void;
    send(data: HMR_Data): void;
    close(): void;
}
