import chalk from 'chalk';
import { LogLevel } from '../types/index.js';
export default class ConsoleLogger {
    constructor(logLevel) {
        this.logLevel = logLevel;
    }
    log(level, message) {
        let formatter;
        if (this.logLevel >= level) {
            switch (this.logLevel) {
                case LogLevel.silent:
                case LogLevel.debug:
                    formatter = chalk.gray;
                    break;
                case LogLevel.error:
                    formatter = chalk.red;
                    break;
                case LogLevel.warn:
                    formatter = chalk.yellow;
                    break;
                case LogLevel.info:
                    formatter = chalk.green;
                    break;
                default:
                    formatter = chalk.white;
                    break;
            }
            // eslint-disable-next-line no-console
            console.log(formatter(message));
        }
    }
}
//# sourceMappingURL=consoleLogger.js.map