import path from 'node:path';
import { existsSync } from 'node:fs';
import { getChildDirPaths } from '../../util/fileUtil.js';
import { BaseWorkspaceScanner } from './scanner.js';
/**
 * This scanner will accept paths and builds a list of module ids to component paths.
 */
export default class SalesforceCliWorkspaceScanner extends BaseWorkspaceScanner {
    findModuleDirs() {
        const lwcDirs = [];
        if (this.modulesPaths.length !== 1) {
            throw new Error('Expected workspace to have one lwc folder');
        }
        this.modulesPaths.forEach((uimodule) => {
            const lwcDir = path.join(uimodule, 'lwc');
            if (existsSync(lwcDir)) {
                lwcDirs.push(...getChildDirPaths(lwcDir));
            }
        });
        return lwcDirs;
    }
    getNamespace(_moduleDir) {
        return 'c';
    }
}
//# sourceMappingURL=salesforceCli.js.map